> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mangopay.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server.

# List all Intent Splits

GET https://api.sandbox.mangopay.com/v3.0/{ClientId}/payins/intents/splits

Retrieve a paginated list of splits across all intents, with optional filters for provider, currency, date range, and status.

Reference: https://docs.mangopay.com/api-reference/intents/list-intent-splits

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL.

## Servers

- `https://api.sandbox.mangopay.com` (Sandbox, default)
- `https://api.mangopay.com` (Production)
- `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox)
- `https://api-mtls.mangopay.com` (mTLS Production)

## Request

### Path parameters

- `ClientId` (string, required) — Platform's API account identifier, associated with the API key.

### Query parameters

- `BeforeDate` (integer, optional) — The date before which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
- `AfterDate` (integer, optional) — The date after which the object was created (based on the object's `CreationDate` parameter). You can filter on a specific time range by using both the `AfterDate` and `BeforeDate` query parameters.
- `Status` (string, optional) — **Allowed values:** `CREATED`, `PENDING_FUNDS_RECEPTION`, `AVAILABLE`, `PENDING`, `COMPLETED`, `REJECTED`, `FAILED`, `REVERSED`, `REFUND_SPLIT_PENDING`, `REFUND_SPLIT_REJECTED`, `REFUND_SPLIT_COMPLETED` The status of the Split. You can filter on multiple values by separating them with a comma.
- `ExternalProviderName` (string, optional) — The third-party PSP name of the parent intent to filter by.
- `Currency` (string, optional) — The three-letter ISO 4217 code of the currency to filter by.
- `page` (integer, optional) — Start value: `1` **Default value:** `1` Indicates the index of the page for the pagination.
- `per_page` (integer, optional) — Min. value: `1`; max. value: `100` **Default value:** `10` Indicates the number of items returned for each page of the pagination.

## Response

### 200

Success

- `list of ListAllSplitsResponseItems`

## Types

### ListAllSplitsResponseItems

- `Id` (string, optional) — The unique identifier of the Split.
- `IntentId` (string, optional) — The unique identifier of the parent Intent.
- `LineItemId` (string, optional) — The unique identifier of the line item.
- `SellerId` (string, optional) — The unique identifier of the seller of the line item.
- `WalletId` (string, optional) — The unique identifier of the wallet to credit the seller's funds.
- `SplitAmount` (integer, optional) — The amount to transfer to the seller's wallet.
- `FeesAmount` (integer, optional) — The amount of fees.
- `TransferDate` (integer, optional) — The future date when the funds are to be automatically transferred to the seller's wallet.
- `Description` (string, optional) — The description of the Split.
- `Status` (string, optional) — The status of the Split: - `CREATED` – The Split was successfully declared via the API but it is not yet confirmed whether the funds for the parent Intent are available. - `PENDING_FUNDS_RECEPTION` – The Split is linked to an Intent that has been reconciled with a settlement file. The system is waiting for the funds to be confirmed in the technical wallet. - `AVAILABLE` – The funds for the parent Intent have been received and confirmed. The Split is ready to be executed. - `PENDING` – The Split execution has been initiated and is being processed. - `COMPLETED` – The transfer was successful and the funds have been moved to the seller's wallet. - `REJECTED` – The Split execution failed immediately due to a synchronous error (e.g. invalid wallet ID). The platform can retry execution or reverse the Split. - `FAILED` – The Split execution was initiated but the transfer failed due to an asynchronous error (e.g. insufficient funds in the source wallet). A new Split must be created to retry. - `REVERSED` – The Split was canceled by the platform while in `AVAILABLE` or `REJECTED` status. - `REFUND_SPLIT_PENDING` – A refund has been declared on the parent Intent and the refund of this Split is pending. - `REFUND_SPLIT_REJECTED` – The refund of this Split was rejected. - `REFUND_SPLIT_COMPLETED` – The refund of this Split was completed successfully.

## Examples

**Response**

```json
[
  {
    "Id": "int_split_019778c4-29c7-7c62-b7c6-775b744ab9f1",
    "IntentId": "int_019bfa4f-60ba-7842-89c0-382066c072f1",
    "LineItemId": "int_li_019778b4-7e87-7153-8fa0-746b23ecae7d",
    "SellerId": "user_m_01JXWB4GBKZYXHJX197M90JHYV",
    "WalletId": "wlt_m_01JXWB5K56PT3J0HJ8X9YHCYFR",
    "SplitAmount": 8000,
    "FeesAmount": 0,
    "TransferDate": 1742428800,
    "Description": "Example description of the Split",
    "Status": "COMPLETED"
  },
  {
    "Id": "int_split_019778c4-29c7-7c62-b7c6-775b744ab9f2",
    "IntentId": "int_019c2a1b-84d2-7123-a5f1-9b3e7d2c8a01",
    "LineItemId": "int_li_019778b4-7e87-7153-8fa0-746b23ecae7e",
    "SellerId": "user_m_01JXWB53KC8ZZFQNC6S34W9CN0",
    "WalletId": "wlt_m_01JXWB5WF962GM9N4GC3VJVK8K",
    "SplitAmount": 15000,
    "FeesAmount": 500,
    "TransferDate": 1742428800,
    "Description": "Example description of the Split",
    "Status": "AVAILABLE"
  }
]
```